Skip to main content
GET
/
v1
/
compute
/
ledger
/
authorizations
List Compute Ledger Authorizations
curl --request GET \
  --url https://api.compute.x.io/v1/compute/ledger/authorizations
{
  "data": [
    {
      "amount_usd": 123,
      "approved": true,
      "status": "CLOSED",
      "opened_at": "2023-12-25",
      "expires_at": "2023-12-25",
      "object": "compute_ledger_authorization",
      "created_at": "2023-12-25",
      "updated_at": "2023-12-25",
      "uuid": "<string>",
      "status_reason": "<string>",
      "closed_at": "2023-12-25",
      "consumer_account_uuid": "<string>",
      "consumer_profile_uuid": "<string>",
      "job_run_uuid": "<string>",
      "render_user_id": "<string>"
    }
  ],
  "limit": 123,
  "page": 123,
  "total": 123
}

Query Parameters

limit
integer
Required range: 1 <= x <= 50
Example:

1

page
integer
Required range: 1 <= x <= 9007199254740991
Example:

1

sort
string
Example:

"created_at OR -created_at"

filter[created_at]
string
Example:

"2025-01-01,2025-03-01"

filter[status]
string
filter[consumer_account_uuid]
string
filter[uuid]
string

Response

List compute ledger authorizations

data
object[]
required
limit
integer
required
page
integer
required
total
integer
required